{% extends "./plantilla.html" %}
{% load static %}

{% block title %}Product Admin - Jugadores{% endblock %}

{% block contenido %}
<div id="content">
  <div id="content-header">
    <div id="breadcrumb">
      <a href="#" title="Go to Home" class="tip-bottom"><i class="icon-home"></i> Home</a>
      <a href="#" class="current">Jugador</a>
    </div>
  </div>
  <div class="container-fluid">
    <div class="row-fluid">
      <!-- Formulario -->
      <div class="span6 ">
        <div class="widget-box">
          <div class="widget-title">
            <span class="icon"><i class="icon-align-justify"></i></span>
            <h5>Agregar Jugador</h5>
          </div>
          <div class="widget-content nopadding">
            <form action="/guardarJugador/" method="post" class="form-horizontal">
              {% csrf_token %}
              <div class="control-group">
                <label class="control-label" for="apellido_jug">Apellido del Jugador:</label>
                <div class="controls">
                  <input id="apellido_jug" name="apellido_jug" type="text" class="span11" placeholder="Apellido del jugador" required />
                </div>
              </div>
              <div class="control-group">
                <label class="control-label" for="nombre_jug">Nombre del Jugador:</label>
                <div class="controls">
                  <input id="nombre_jug" name="nombre_jug" type="text" class="span11" placeholder="Nombre del jugador" required />
                </div>
              </div>
              <div class="control-group">
                <label class="control-label" for="estatura_jug">Estatura del Jugador (cm):</label>
                <div class="controls">
                  <input id="estatura_jug" step="0.01" name="estatura_jug" type="number" class="span11" placeholder="Estatura del jugador" required />
                </div>
              </div>
              <div class="control-group">
                <label class="control-label" for="salario_jug">Salario del Jugador:</label>
                <div class="controls">
                  <input id="salario_jug" name="salario_jug" type="number" class="span11" placeholder="Salario del jugador" required />
                </div>
              </div>
              <div class="control-group">
                <label class="control-label" for="estado_jug">Estado del Jugador:</label>
                <div class="controls">
                  <select id="estado_jug" name="estado_jug" class="span11" required>
                    <option value="" disabled selected>Seleccione el estado del jugador</option>
                    <option value="activo" {% if jugador.estado_jug == "activo" %}selected{% endif %}>Activo</option>
                    <option value="inactivo" {% if jugador.estado_jug == "inactivo" %}selected{% endif %}>Inactivo</option>
                  </select>
                </div>
              </div>
              <div class="control-group">
                <label class="control-label" for="fk_id_pos">Posición del Jugador:</label>
                <div class="controls">
                  <select id="fk_id_pos" name="fk_id_pos" class="span11" required>
                    {% for posicion in posiciones %}
                      <option value="{{ posicion.id_pos }}">{{ posicion.nombre_pos }}</option>
                    {% endfor %}
                  </select>
                </div>
              </div>
              <div class="control-group">
                <label class="control-label" for="fk_id_equi">Equipo del Jugador:</label>
                <div class="controls">
                  <select id="fk_id_equi" name="fk_id_equi" class="span11" required>
                    {% for equipo in equipos %}
                      <option value="{{ equipo.id_equi }}">{{ equipo.nombre_equi }}</option>
                    {% endfor %}
                  </select>
                </div>
              </div>
              <div class="form-actions">
                <button type="submit" name="button" class="btn btn-primary">Guardar</button>
                <a href="/listadoJugador" class="btn btn-danger ml-2">Cancelar</a>
              </div>
            </form>
          </div>
        </div>
      </div>
      
      <!-- Tabla -->
      <div class="span6">
        <div class="widget-box">
          <div class="widget-title">
            <span class="icon"><i class="icon-th"></i></span>
            <h5>Tabla de Jugadores</h5>
          </div>
          <div class="widget-content nopadding">
            <table class="table table-hover tm-table-small tm-product-table">
              <thead>
                  <tr>
                    <th scope="col">Id</th>
                    <th scope="col">Apellido</th>
                    <th scope="col">Nombre</th>
                    <th scope="col">Estatura</th>
                    <th scope="col">Salario</th>
                    <th scope="col">Estado</th>
                    <th scope="col">Posicion</th>
                    <th scope="col">Equipo</th>
                    <th scope="col">Acciones</th>
                  </tr>
              </thead>
              <tbody>
                    
                    {% for jugador in jugadores %}
                    <tr>
                        <td>{{ jugador.id_jug }}</td>
                        <td>{{ jugador.apellido_jug }}</td>
                        <td>{{ jugador.nombre_jug }}</td>
                        <td>{{ jugador.estatura_jug }}</td>
                        <td>{{ jugador.salario_jug }}</td>
                        <td>{{ jugador.estado_jug }}</td>
                        <td>{{ jugador.fk_id_pos.nombre_pos }}</td>
                        <td>{{ jugador.fk_id_equi.nombre_equi }}</td>
                      <td style="display: flex; justify-content: space-between;">
                        <a href="/editarJugador/{{ jugador.id_jug }}" class="btn btn-warning btn-sm" data-toggle="modal" title="Editar" style="margin-right: 10px;">
                          <i class="icon-pencil" style="color: #FFD43B;"></i>
                        </a>
                        <a href="javascript:void(0)" onclick="eliminarJugador('/eliminarJugador/{{ jugador.id_jug }}');" class="btn btn-danger btn-sm" title="Eliminar">
                          <i class="icon-trash" style="color: #d41200;"></i>
                        </a>
                      </td>
                  </tr>
                  {% endfor %}
              </tbody>
          </table>
          </div>
        </div>
      </div>
    </div>
  </div>
  <script type="text/javascript">
    function eliminarJugador(url) {
        iziToast.question({
            timeout: 15000,
            close: true,
            overlay: true,
            displayMode: 'once',
            id: 'question',
            zindex: 999,
            title: 'CONFIRMACIÓN',
            message: '¿Está seguro de eliminar el destino seleccionado?',
            position: 'center',
            buttons: [
                ['<button><b>SI</b></button>', function (instance, toast) {
                    instance.hide({ transitionOut: 'fadeOut' }, toast, 'button');
                    window.location.href=url;
                }, true],
                ['<button>NO</button>', function (instance, toast) {
                    instance.hide({ transitionOut: 'fadeOut' }, toast, 'button');
                }],
            ]
        });
    }
</script>
</div>
{% endblock %}
